com.lowagie.text.rtf.table

## Class RtfBorder

- java.lang.Object
- - com.lowagie.text.rtf.RtfElement
  - - com.lowagie.text.rtf.table.RtfBorder

All Implemented Interfaces:
  RtfBasicElement, RtfElementInterface

    public class RtfBorder
    extends RtfElement

The RtfBorder handle one row or cell border. INTERNAL USE ONLY

Version:
  $Id$
Author:
  Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

### Field Summary

Fields
`protected static byte[]` `BORDER_COLOR_NUMBER` Constant for the border color number
`static int` `BORDER_DASHED` Constant for a dashed border
`static int` `BORDER_DOT_DASH` Constant for a dot dash border
`static int` `BORDER_DOT_DOT_DASH` Constant for a dot dot dash border
`static int` `BORDER_DOTTED` Constant for a dotted border
`static int` `BORDER_DOUBLE` Constant for a double border
`static int` `BORDER_DOUBLE_THICK` Constant for a double thick border
`static int` `BORDER_DOUBLE_WAVY` Constant for a double wavy border
`static int` `BORDER_EMBOSS` Constant for an embossed border
`static int` `BORDER_ENGRAVE` Constant for an engraved border
`static int` `BORDER_HAIRLINE` Constant for a hairline border
`static int` `BORDER_NONE` Constant for a border with no border
`static int` `BORDER_SHADOWED` Constant for a shadowed border
`static int` `BORDER_SINGLE` Constant for a single border
`static int` `BORDER_STRIPED` Constant for a striped border
`protected static byte[]` `BORDER_STYLE_DASHED` Constant for the dashed border style
`protected static byte[]` `BORDER_STYLE_DOT_DASH` Constant for the dot dash border style
`protected static byte[]` `BORDER_STYLE_DOT_DOT_DASH` Constant for the dot dot dash border style
`protected static byte[]` `BORDER_STYLE_DOTTED` Constant for the dotted border style
`protected static byte[]` `BORDER_STYLE_DOUBLE` Constant for the double border style
`protected static byte[]` `BORDER_STYLE_DOUBLE_THICK` Constant for the double thick border style
`protected static byte[]` `BORDER_STYLE_DOUBLE_WAVY` Constant for the double wavy border style
`protected static byte[]` `BORDER_STYLE_EMBOSS` Constant for the embossed border style
`protected static byte[]` `BORDER_STYLE_ENGRAVE` Constant for the engraved border style
`protected static byte[]` `BORDER_STYLE_HAIRLINE` Constant for the hairline border style
`protected static byte[]` `BORDER_STYLE_SHADOWED` Constant for the shadowed border style
`protected static byte[]` `BORDER_STYLE_SINGLE` Constant for the single border style
`protected static byte[]` `BORDER_STYLE_STRIPED` Constant for the striped border style
`protected static byte[]` `BORDER_STYLE_THICK_THIN` Constant for the thick thin border style
`protected static byte[]` `BORDER_STYLE_THICK_THIN_LARGE` Constant for the thick thin large border style
`protected static byte[]` `BORDER_STYLE_THICK_THIN_MED` Constant for the thick thin medium border style
`protected static byte[]` `BORDER_STYLE_THIN_THICK` Constant for the thin thick border style
`protected static byte[]` `BORDER_STYLE_THIN_THICK_LARGE` Constant for the thin thick large border style
`protected static byte[]` `BORDER_STYLE_THIN_THICK_MED` Constant for the thin thick medium border style
`protected static byte[]` `BORDER_STYLE_THIN_THICK_THIN` Constant for the thin thick thin border style
`protected static byte[]` `BORDER_STYLE_THIN_THICK_THIN_LARGE` Constant for the thin thick thin large border style
`protected static byte[]` `BORDER_STYLE_THIN_THICK_THIN_MED` Constant for the thin thick thin medium border style
`protected static byte[]` `BORDER_STYLE_TRIPLE` Constant for the triple border style
`protected static byte[]` `BORDER_STYLE_WAVY` Constant for the wavy border style
`static int` `BORDER_THICK_THIN` Constant for a thick thin border
`static int` `BORDER_THICK_THIN_LARGE` Constant for a thick thin large border
`static int` `BORDER_THICK_THIN_MED` Constant for a thick thin medium border
`static int` `BORDER_THIN_THICK` Constant for a thin thick border
`static int` `BORDER_THIN_THICK_LARGE` Constant for a thin thick large border
`static int` `BORDER_THIN_THICK_MED` Constant for a thin thick medium border
`static int` `BORDER_THIN_THICK_THIN` Constant for a thin thick thin border
`static int` `BORDER_THIN_THICK_THIN_LARGE` Constant for a thin thick thin large border
`static int` `BORDER_THIN_THICK_THIN_MED` Constant for a thin thick thin medium border
`static int` `BORDER_TRIPLE` Constant for a triple border
`static int` `BORDER_WAVY` Constant for a wavy border
`protected static byte[]` `BORDER_WIDTH` Constant for the border width
`private RtfColor` `borderColor` The color of this RtfBorder
`private int` `borderPosition` The position of this RtfBorder
`private int` `borderStyle` The style of this RtfBorder
`private int` `borderType` The type of this RtfBorder
`private int` `borderWidth` The width of this RtfBorder
`protected static int` `BOTTOM_BORDER` Constant for a bottom border
`protected static int` `BOX_BORDER` Constant for a box (left, top, right, bottom) border
`protected static int` `CELL_BORDER` Constant for a cell border
`protected static byte[]` `CELL_BORDER_BOTTOM` Constant for the bottom cell border
`protected static byte[]` `CELL_BORDER_LEFT` Constant for the left cell border
`protected static byte[]` `CELL_BORDER_RIGHT` Constant for the right cell border
`protected static byte[]` `CELL_BORDER_TOP` Constant for the top cell border
`protected static int` `HORIZONTAL_BORDER` Constant for a horizontal line
`protected static int` `LEFT_BORDER` Constant for a left border
`protected static int` `NO_BORDER` This border is no border :-)
`protected static int` `RIGHT_BORDER` Constant for a right border
`protected static int` `ROW_BORDER` Constant for a row border
`protected static byte[]` `ROW_BORDER_BOTTOM` Constant for the bottom row border
`protected static byte[]` `ROW_BORDER_HORIZONTAL` Constant for the horizontal line
`protected static byte[]` `ROW_BORDER_LEFT` Constant for the left row border
`protected static byte[]` `ROW_BORDER_RIGHT` Constant for the right row border
`protected static byte[]` `ROW_BORDER_TOP` Constant for the top row border
`protected static byte[]` `ROW_BORDER_VERTICAL` Constant for the vertical line
`protected static int` `TOP_BORDER` Constant for a top border
`protected static int` `VERTICAL_BORDER` Constant for a vertical line

### Fields inherited from class com.lowagie.text.rtf.RtfElement

`document, inHeader, inTable`

### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

### Constructor Summary

Constructors
`protected` `RtfBorder(RtfDocument doc, int borderType, int borderPosition, int borderStyle, float borderWidth, java.awt.Color borderColor)` Constructs a RtfBorder
`protected` `RtfBorder(RtfDocument doc, int borderType, RtfBorder border)` Makes a copy of the given RtfBorder

### Method Summary

Methods
`protected RtfColor` `getBorderColor()` Gets the color of this RtfBorder
`protected int` `getBorderPosition()` Gets the position of this RtfBorder
`protected int` `getBorderStyle()` Gets the style of this RtfBorder
`protected int` `getBorderType()` Gets the type of this RtfBorder
`protected int` `getBorderWidth()` Gets the width of this RtfBorder
`private byte[]` `writeBorderStyle()` Writes the style of this RtfBorder
`void` `writeContent(java.io.OutputStream result)` Writes the RtfBorder settings

### Methods inherited from class com.lowagie.text.rtf.RtfElement

`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ROW_BORDER_LEFT

    protected static final byte[] ROW_BORDER_LEFT

Constant for the left row border

#### ROW_BORDER_TOP

    protected static final byte[] ROW_BORDER_TOP

Constant for the top row border

#### ROW_BORDER_RIGHT

    protected static final byte[] ROW_BORDER_RIGHT

Constant for the right row border

#### ROW_BORDER_BOTTOM

    protected static final byte[] ROW_BORDER_BOTTOM

Constant for the bottom row border

#### ROW_BORDER_HORIZONTAL

    protected static final byte[] ROW_BORDER_HORIZONTAL

Constant for the horizontal line

#### ROW_BORDER_VERTICAL

    protected static final byte[] ROW_BORDER_VERTICAL

Constant for the vertical line

#### CELL_BORDER_LEFT

    protected static final byte[] CELL_BORDER_LEFT

Constant for the left cell border

#### CELL_BORDER_TOP

    protected static final byte[] CELL_BORDER_TOP

Constant for the top cell border

#### CELL_BORDER_RIGHT

    protected static final byte[] CELL_BORDER_RIGHT

Constant for the right cell border

#### CELL_BORDER_BOTTOM

    protected static final byte[] CELL_BORDER_BOTTOM

Constant for the bottom cell border

#### BORDER_WIDTH

    protected static final byte[] BORDER_WIDTH

Constant for the border width

#### BORDER_COLOR_NUMBER

    protected static final byte[] BORDER_COLOR_NUMBER

Constant for the border color number

#### BORDER_STYLE_SINGLE

    protected static final byte[] BORDER_STYLE_SINGLE

Constant for the single border style

#### BORDER_STYLE_DOUBLE_THICK

    protected static final byte[] BORDER_STYLE_DOUBLE_THICK

Constant for the double thick border style

#### BORDER_STYLE_SHADOWED

    protected static final byte[] BORDER_STYLE_SHADOWED

Constant for the shadowed border style

#### BORDER_STYLE_DOTTED

    protected static final byte[] BORDER_STYLE_DOTTED

Constant for the dotted border style

#### BORDER_STYLE_DASHED

    protected static final byte[] BORDER_STYLE_DASHED

Constant for the dashed border style

#### BORDER_STYLE_HAIRLINE

    protected static final byte[] BORDER_STYLE_HAIRLINE

Constant for the hairline border style

#### BORDER_STYLE_DOUBLE

    protected static final byte[] BORDER_STYLE_DOUBLE

Constant for the double border style

#### BORDER_STYLE_DOT_DASH

    protected static final byte[] BORDER_STYLE_DOT_DASH

Constant for the dot dash border style

#### BORDER_STYLE_DOT_DOT_DASH

    protected static final byte[] BORDER_STYLE_DOT_DOT_DASH

Constant for the dot dot dash border style

#### BORDER_STYLE_TRIPLE

    protected static final byte[] BORDER_STYLE_TRIPLE

Constant for the triple border style

#### BORDER_STYLE_THICK_THIN

    protected static final byte[] BORDER_STYLE_THICK_THIN

Constant for the thick thin border style

#### BORDER_STYLE_THIN_THICK

    protected static final byte[] BORDER_STYLE_THIN_THICK

Constant for the thin thick border style

#### BORDER_STYLE_THIN_THICK_THIN

    protected static final byte[] BORDER_STYLE_THIN_THICK_THIN

Constant for the thin thick thin border style

#### BORDER_STYLE_THICK_THIN_MED

    protected static final byte[] BORDER_STYLE_THICK_THIN_MED

Constant for the thick thin medium border style

#### BORDER_STYLE_THIN_THICK_MED

    protected static final byte[] BORDER_STYLE_THIN_THICK_MED

Constant for the thin thick medium border style

#### BORDER_STYLE_THIN_THICK_THIN_MED

    protected static final byte[] BORDER_STYLE_THIN_THICK_THIN_MED

Constant for the thin thick thin medium border style

#### BORDER_STYLE_THICK_THIN_LARGE

    protected static final byte[] BORDER_STYLE_THICK_THIN_LARGE

Constant for the thick thin large border style

#### BORDER_STYLE_THIN_THICK_LARGE

    protected static final byte[] BORDER_STYLE_THIN_THICK_LARGE

Constant for the thin thick large border style

#### BORDER_STYLE_THIN_THICK_THIN_LARGE

    protected static final byte[] BORDER_STYLE_THIN_THICK_THIN_LARGE

Constant for the thin thick thin large border style

#### BORDER_STYLE_WAVY

    protected static final byte[] BORDER_STYLE_WAVY

Constant for the wavy border style

#### BORDER_STYLE_DOUBLE_WAVY

    protected static final byte[] BORDER_STYLE_DOUBLE_WAVY

Constant for the double wavy border style

#### BORDER_STYLE_STRIPED

    protected static final byte[] BORDER_STYLE_STRIPED

Constant for the striped border style

#### BORDER_STYLE_EMBOSS

    protected static final byte[] BORDER_STYLE_EMBOSS

Constant for the embossed border style

#### BORDER_STYLE_ENGRAVE

    protected static final byte[] BORDER_STYLE_ENGRAVE

Constant for the engraved border style

#### ROW_BORDER

    protected static final int ROW_BORDER

Constant for a row border

See Also:
  Constant Field Values

#### CELL_BORDER

    protected static final int CELL_BORDER

Constant for a cell border

See Also:
  Constant Field Values

#### NO_BORDER

    protected static final int NO_BORDER

This border is no border :-)

See Also:
  Constant Field Values

#### LEFT_BORDER

    protected static final int LEFT_BORDER

Constant for a left border

See Also:
  Constant Field Values

#### TOP_BORDER

    protected static final int TOP_BORDER

Constant for a top border

See Also:
  Constant Field Values

#### RIGHT_BORDER

    protected static final int RIGHT_BORDER

Constant for a right border

See Also:
  Constant Field Values

#### BOTTOM_BORDER

    protected static final int BOTTOM_BORDER

Constant for a bottom border

See Also:
  Constant Field Values

#### BOX_BORDER

    protected static final int BOX_BORDER

Constant for a box (left, top, right, bottom) border

See Also:
  Constant Field Values

#### VERTICAL_BORDER

    protected static final int VERTICAL_BORDER

Constant for a vertical line

See Also:
  Constant Field Values

#### HORIZONTAL_BORDER

    protected static final int HORIZONTAL_BORDER

Constant for a horizontal line

See Also:
  Constant Field Values

#### BORDER_NONE

    public static final int BORDER_NONE

Constant for a border with no border

See Also:
  Constant Field Values

#### BORDER_SINGLE

    public static final int BORDER_SINGLE

Constant for a single border

See Also:
  Constant Field Values

#### BORDER_DOUBLE_THICK

    public static final int BORDER_DOUBLE_THICK

Constant for a double thick border

See Also:
  Constant Field Values

#### BORDER_SHADOWED

    public static final int BORDER_SHADOWED

Constant for a shadowed border

See Also:
  Constant Field Values

#### BORDER_DOTTED

    public static final int BORDER_DOTTED

Constant for a dotted border

See Also:
  Constant Field Values

#### BORDER_DASHED

    public static final int BORDER_DASHED

Constant for a dashed border

See Also:
  Constant Field Values

#### BORDER_HAIRLINE

    public static final int BORDER_HAIRLINE

Constant for a hairline border

See Also:
  Constant Field Values

#### BORDER_DOUBLE

    public static final int BORDER_DOUBLE

Constant for a double border

See Also:
  Constant Field Values

#### BORDER_DOT_DASH

    public static final int BORDER_DOT_DASH

Constant for a dot dash border

See Also:
  Constant Field Values

#### BORDER_DOT_DOT_DASH

    public static final int BORDER_DOT_DOT_DASH

Constant for a dot dot dash border

See Also:
  Constant Field Values

#### BORDER_TRIPLE

    public static final int BORDER_TRIPLE

Constant for a triple border

See Also:
  Constant Field Values

#### BORDER_THICK_THIN

    public static final int BORDER_THICK_THIN

Constant for a thick thin border

See Also:
  Constant Field Values

#### BORDER_THIN_THICK

    public static final int BORDER_THIN_THICK

Constant for a thin thick border

See Also:
  Constant Field Values

#### BORDER_THIN_THICK_THIN

    public static final int BORDER_THIN_THICK_THIN

Constant for a thin thick thin border

See Also:
  Constant Field Values

#### BORDER_THICK_THIN_MED

    public static final int BORDER_THICK_THIN_MED

Constant for a thick thin medium border

See Also:
  Constant Field Values

#### BORDER_THIN_THICK_MED

    public static final int BORDER_THIN_THICK_MED

Constant for a thin thick medium border

See Also:
  Constant Field Values

#### BORDER_THIN_THICK_THIN_MED

    public static final int BORDER_THIN_THICK_THIN_MED

Constant for a thin thick thin medium border

See Also:
  Constant Field Values

#### BORDER_THICK_THIN_LARGE

    public static final int BORDER_THICK_THIN_LARGE

Constant for a thick thin large border

See Also:
  Constant Field Values

#### BORDER_THIN_THICK_LARGE

    public static final int BORDER_THIN_THICK_LARGE

Constant for a thin thick large border

See Also:
  Constant Field Values

#### BORDER_THIN_THICK_THIN_LARGE

    public static final int BORDER_THIN_THICK_THIN_LARGE

Constant for a thin thick thin large border

See Also:
  Constant Field Values

#### BORDER_WAVY

    public static final int BORDER_WAVY

Constant for a wavy border

See Also:
  Constant Field Values

#### BORDER_DOUBLE_WAVY

    public static final int BORDER_DOUBLE_WAVY

Constant for a double wavy border

See Also:
  Constant Field Values

#### BORDER_STRIPED

    public static final int BORDER_STRIPED

Constant for a striped border

See Also:
  Constant Field Values

#### BORDER_EMBOSS

    public static final int BORDER_EMBOSS

Constant for an embossed border

See Also:
  Constant Field Values

#### BORDER_ENGRAVE

    public static final int BORDER_ENGRAVE

Constant for an engraved border

See Also:
  Constant Field Values

#### borderType

    private int borderType

The type of this RtfBorder

#### borderPosition

    private int borderPosition

The position of this RtfBorder

#### borderStyle

    private int borderStyle

The style of this RtfBorder

#### borderWidth

    private int borderWidth

The width of this RtfBorder

#### borderColor

    private RtfColor borderColor

The color of this RtfBorder

### Constructor Detail

#### RtfBorder

    protected RtfBorder(RtfDocument doc,
             int borderType,
             RtfBorder border)

Makes a copy of the given RtfBorder

Parameters:
  `doc` - The RtfDocument this RtfBorder belongs to
  `borderType` - The border type of this RtfBorder
  `border` - The RtfBorder to copy

#### RtfBorder

    protected RtfBorder(RtfDocument doc,
             int borderType,
             int borderPosition,
             int borderStyle,
             float borderWidth,
             java.awt.Color borderColor)

Constructs a RtfBorder

Parameters:
  `doc` - The RtfDocument this RtfBorder belongs to
  `borderType` - The type of border this RtfBorder is
  `borderPosition` - The position of this RtfBorder
  `borderStyle` - The style of this RtfBorder
  `borderWidth` - The width of this RtfBorder
  `borderColor` - The color of this RtfBorder

### Method Detail

#### writeContent

    public void writeContent(java.io.OutputStream result)
                      throws java.io.IOException

Writes the RtfBorder settings

Specified by:
  `writeContent` in interface `RtfBasicElement`
Specified by:
  `writeContent` in class `RtfElement`
Parameters:
  `result` - The `OutputStream` to write the content to
Throws:
  `java.io.IOException`

#### writeBorderStyle

    private byte[] writeBorderStyle()

Writes the style of this RtfBorder

Returns:
  A byte array containing the style of this RtfBorder

#### getBorderColor

    protected RtfColor getBorderColor()

Gets the color of this RtfBorder

Returns:
  Returns RtfColor of this RtfBorder

#### getBorderPosition

    protected int getBorderPosition()

Gets the position of this RtfBorder

Returns:
  Returns the position of this RtfBorder

#### getBorderStyle

    protected int getBorderStyle()

Gets the style of this RtfBorder

Returns:
  Returns the style of this RtfBorder

#### getBorderType

    protected int getBorderType()

Gets the type of this RtfBorder

Returns:
  Returns the type of this RtfBorder

#### getBorderWidth

    protected int getBorderWidth()

Gets the width of this RtfBorder

Returns:
  Returns the width of this RtfBorder